<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title><?php if ( is_category() ) {
	echo 'Category Archive for &quot;'; single_cat_title(); echo '&quot; | '; bloginfo( 'name' );
} elseif ( is_tag() ) {
	echo 'Tag Archive for &quot;'; single_tag_title(); echo '&quot; | '; bloginfo( 'name' );
} elseif ( is_archive() ) {
	wp_title(''); echo ' Archive | '; bloginfo( 'name' );
} elseif ( is_search() ) {
	echo 'Search for &quot;'.wp_specialchars($s).'&quot; | '; bloginfo( 'name' );
} elseif ( is_home() ) {
	bloginfo( 'name' ); echo ' | '; bloginfo( 'description' );
}  elseif ( is_404() ) {
	echo 'Error 404 Not Found | '; bloginfo( 'name' );
} elseif ( is_single() ) {
	wp_title('');
} else {
	echo wp_title(''); echo ' | '; bloginfo( 'name' );
} ?></title>
	
<meta name="description" content="<?php wp_title(''); echo ' | '; bloginfo( 'description' ); ?>" />
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<meta name="viewport" content="width=device-width; initial-scale=1"/><?php /* Add "maximum-scale=1" to fix the Mobile Safari auto-zoom bug on orientation changes, but keep in mind that it will disable user-zooming completely. Bad for accessibility. */ ?>

<link rel="shortcut icon" href="<?php if ( function_exists( 'get_option_tree' ) ) { if (is_string(get_option_tree( 'favicon' )))  { echo get_option_tree( 'favicon' ); } else { echo get_stylesheet_directory_uri().'/images/favicon.png'; } } ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/sliding-on.css" title="date" media="screen" />
<link rel="alternate stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/sliding-off.css" title="crush" media="screen">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'rss2_url' ); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'atom_url' ); ?>" />	
<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/lessframework.css" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/includes/orbit-slider/orbit-1.2.3.css">

<?php wp_head(); ?> <?php /* this is used by many Wordpress features and for plugins to work properly */ ?>
<?php if ( is_singular() && get_option( 'thread_comments' ) )  wp_enqueue_script( 'comment-reply' );  ?>

<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/scripts/submenu/submenu.js'></script>
<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/scripts/filterable-portfolio/overlay.js'></script>
<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/scripts/search/search.js'></script>
<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/scripts/sliding-menu/sliding-menu.js'></script>
<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/includes/to-top/to-top.js'></script>
<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/includes/orbit-slider/jquery.orbit-1.2.3.js?ver=1.2.3'></script>
<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/scripts/modernizr/modernizr.js'></script>
<script type='text/javascript' src='<?php echo get_template_directory_uri(); ?>/scripts/sliding-menu/slidingoff.js'></script>


<!-- insert custom Google fonts -->
<?php 
	if ( function_exists( 'get_option_tree' ) ) {
		if ( is_string( get_option_tree( 'font_header' ) )) {
			$fontheader = get_option_tree( 'font_header' );
			$fontheaderstr = str_replace(' ', '+', $fontheader);
			$fontheadernew = '<link href="http://fonts.googleapis.com/css?family='.$fontheaderstr.'" rel="stylesheet" type="text/css">';
			echo $fontheadernew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Glegoo' rel='stylesheet' type='text/css'>";
		} 
	} 

	if ( function_exists( 'get_option_tree' ) ) {
		if ( is_string( get_option_tree( 'font_body' ) )) {
			$fontbody = get_option_tree( 'font_body' );
			$fontbodystr = str_replace(' ', '+', $fontbody);
			$fontbodynew = '<link href="http://fonts.googleapis.com/css?family='.$fontbodystr.'" rel="stylesheet" type="text/css">';
			echo $fontbodynew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Merriweather' rel='stylesheet' type='text/css'>";
		} 
	}
?>


<!-- count the number of active widgets -->
<?php
function count_widgets($loc) {
	$sidebar_widgets = wp_get_sidebars_widgets();
	$num_widgets = 0;
	foreach ( (array) $sidebar_widgets as $k => $v ){
		if ($loc != $k)
		continue;
		if ( is_array($v))
		$num_widgets = $num_widgets + count($v);
		}
		return $num_widgets;
	}
	$count = count_widgets('sidebar-2');
	if($count != 0) { $percentage = (100/$count) - 5; }
?>

<!--[if IE 7]>
<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($percentage)) { echo $percentage."%;"; } ?> } </style>
<![endif]-->

<!--[if IE 8]>
<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($percentage)) { echo $percentage."%;"; } ?> } </style>
<![endif]-->


<!-- image slider code -->
<?php 
if ( function_exists( 'get_option_tree' ) ) {
	if (is_string(get_option_tree( 'orbit_animation' ))) $orbit_a = get_option_tree( 'orbit_animation' ); else $orbit_a = "fade";
	if (is_numeric(get_option_tree( 'orbit_transition_time' )))  $orbit_tt = get_option_tree( 'orbit_transition_time' ); else $orbit_tt = 4000; 
	if ( get_option_tree( 'orbit_captions' ) == "Yes" ) $orbit_c = "true"; else $orbit_c = "false";
	$slider_j='<script type="text/javascript">   
	var $j = jQuery.noConflict();
	$j(function(){ 
	$j(window).load(function() 
	{         
	$j("#featured").orbit({
	bullets: true,
	animation: "'.$orbit_a.'",
	advanceSpeed: '.$orbit_tt.',   // how fast animations are
	timer: true,
	captions: '.$orbit_c.'
    });
   	});
	});
	</script>';
	echo $slider_j;
}
?>

<!-- function to convert colours from hex into rgb -->
<?php
function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);
 
   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}
?>


<!-- Custom styles -->
<?php include 'custom-styles.php'; ?> 


<!-- Google Analytics code -->
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '<?php if ( function_exists( 'get_option_tree' ) )  { echo get_option_tree( 'google_analytics' ); } ?>']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>


<!-- Resize image background -->
<?php if (function_exists( 'get_option_tree' ) &&  get_option_tree('background' ) == "Stretched image") { ?>
<script type="text/javascript">
resizeBG = function() {
    var image = $('#page-background img');
    image.removeAttr("width"); 
    image.removeAttr("height");
    var imageWidth = image.attr('width') || image.width();
    var imageHeight = image.attr('height') || image.height();
    var ratio = imageHeight / imageWidth;
    
    var h = $(window).height();
    var w = $(window).width();
    
    $('#page-background img, #page-background').css('width', w);
    $('#page-background img, #page-background').css('height', w * ratio);
	$('#page-background').css('visibility', 'visible');
}

$(window).load( resizeBG );
$(window).resize( resizeBG );
</script>
<?php } ?>


</head>

<body <?php body_class(); ?>>
<div id="page-background"><?php if ( function_exists( 'get_option_tree' ) ) { if (get_option_tree( 'background' ) == "Stretched image" && is_string(get_option_tree( 'background_image' )))  { echo '<img src="'.get_option_tree( 'background_image' ).'" width="100%" height="100%"  />'; }} ?></div>
<div id="page-background-two"><?php if ( function_exists( 'get_option_tree' ) ) { if (is_string(get_option_tree( 'background_image2' )) && get_option_tree('background_image2_pos') == 'Stretched image' )  { echo '<img src="'.get_option_tree( 'background_image2' ).'" />'; }} ?></div>
<div class="none">
	<p><a href="#content"><?php _e('Skip to Content'); ?></a></p><?php /* used for accessibility, particularly for screen reader applications */ ?>
</div><!--.none-->
<div id="main"><!-- this encompasses the entire Web site -->
<?php if ( function_exists( 'get_option_tree' ) ) { $promo = get_option_tree('promo'); } ?>
	<div id="header"><header>
		<?php if (has_nav_menu('header-menu')) {  ?><div id="nav-primary" class="nav"><nav>
				<?php wp_nav_menu( array( 'theme_location' => 'header-menu','depth'=>'2','menu_class'=>'top-menu','container_class'=>'container','items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul><div class="promo">'.$promo.'</div>','fallback_cb' => 'false' ) ); } ?>
			</nav></div><!--#nav-primary-->
			<div class="container clearboth"><div class="mobilemenu"><?php dropdown_menu( array( 'theme_location' => 'header-menu','depth'=>'2','dropdown_title' => '-- Navigate to --','indent_string' => '- ','indent_after' => '') ); ?></div></div>
	</header></div><!--#header-->
	
	<div class="container">
	<div id="top">
		<?php if (has_nav_menu('category-menu')) {  ?><div id="nav-secondary"><?php if ( function_exists( 'get_option_tree') && is_string(get_option_tree( 'sec_menu_info' )) ) { echo '<div id="sec-info">'.get_option_tree( 'sec_menu_info' ).'</div>'; } ?><?php wp_nav_menu( array( 'theme_location' => 'category-menu','depth'=>'2','menu_class'=>'middle-menu','container_class'=>'middle-menu-container' ) ); ?></div><?php } ?>
		<div id="top-left"><div id="logoslogan">
			<div id="logo">
				<a href="<?php echo home_url(); ?>">
          			<img src="<?php if ( function_exists( 'get_option_tree' ) ) { if (is_string(get_option_tree( 'logo' ))) { echo get_option_tree( 'logo' ); } } ?>"  alt="" />
           		</a>	
			</div><!--#logo-->
            <?php $slogan='<div id="slogan">'.get_option_tree( 'slogan' ).'</div>'; if ( function_exists( 'get_option_tree' ) && is_string(get_option_tree( 'slogan' )) ) { echo $slogan; } ?>
		</div><!-- #logoslogan -->
		<div id="header-widgets">	
				<?php if ( ! dynamic_sidebar( 'Header Widgets' ) ) : ?>
				<?php endif ?>
		</div><!--#header-widgets-->
			<div class="clear"></div>
	</div><!-- #top-left --><div class="clearboth"></div>
	</div><!-- #top --><div class="clearboth"></div>